package com.bocloud.ims.entity.resource.hmc;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;

/**
 * HMC供电和灯光配置
 * 
 * @author sxp
 * @since May 22, 2018
 */
@Deprecated
@Table("hmc_ipl_config")
public class HmcIplConfig {
    @PK(value = PKStrategy.AUTO)
    private Long id;

    @Column("server_id")
    private Long serverId;

    @Column("poweroff_all_lpar_shutdown")
    private Boolean poweroffAllLparShutdown;

    // 分区启动策略
    @Column("poweron_lpar_start_policy")
    private String poweronLparStartPolicy; // autostart 始终自动启动  userinit 由用户启动   autorecovery 自动启动以执行自动回复

    @Column("pending_poweron_lpar_start_policy")
    private String pendingPoweronLparStartPolicy; // autostart 始终自动启动  userinit 由用户启动   autorecovery 自动启动以执行自动回复

    // 供电端
    @Column("current_poweron_side")
    private String currentPowerOnSide; // Temporary临时  Permanent永久

    @Column("pending_poweron_side")
    private String pendingPowerOnSide; // Temporary临时  Permanent永久

    // 供电速度
    @Column("poweron_speed")
    private String powerOnSpeed;

    // 供电速度覆盖
    @Column("poweron_speed_override")
    private String powerOnSpeedOverride;

    // 键锁位置
    @Column("current_system_keylock")
    private String currentSystemKeylock; // normal正常  manual手动

    @Column("pending_system_keylock")
    private String pendingSystemKeylock; // normal正常  manual手动

    // Aix/Linux默认的引导方式
    @Column("current_boot_mode")
    private String currentBootMode;

    @Column("pending_boot_mode")
    private String pendingBootMode;

    // 供电源
    @Column("poweron_source")
    private String poweronSource;

    public HmcIplConfig() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getServerId() {
        return serverId;
    }

    public void setServerId(Long serverId) {
        this.serverId = serverId;
    }

    public Boolean getPoweroffAllLparShutdown() {
        return poweroffAllLparShutdown;
    }

    public void setPoweroffAllLparShutdown(Boolean poweroffAllLparShutdown) {
        this.poweroffAllLparShutdown = poweroffAllLparShutdown;
    }

    public String getPoweronLparStartPolicy() {
        return poweronLparStartPolicy;
    }

    public void setPoweronLparStartPolicy(String poweronLparStartPolicy) {
        this.poweronLparStartPolicy = poweronLparStartPolicy;
    }

    public String getPendingPoweronLparStartPolicy() {
        return pendingPoweronLparStartPolicy;
    }

    public void setPendingPoweronLparStartPolicy(String pendingPoweronLparStartPolicy) {
        this.pendingPoweronLparStartPolicy = pendingPoweronLparStartPolicy;
    }

    public String getCurrentPowerOnSide() {
        return currentPowerOnSide;
    }

    public void setCurrentPowerOnSide(String currentPowerOnSide) {
        this.currentPowerOnSide = currentPowerOnSide;
    }

    public String getPendingPowerOnSide() {
        return pendingPowerOnSide;
    }

    public void setPendingPowerOnSide(String pendingPowerOnSide) {
        this.pendingPowerOnSide = pendingPowerOnSide;
    }

    public String getPowerOnSpeed() {
        return powerOnSpeed;
    }

    public void setPowerOnSpeed(String powerOnSpeed) {
        this.powerOnSpeed = powerOnSpeed;
    }

    public String getPowerOnSpeedOverride() {
        return powerOnSpeedOverride;
    }

    public void setPowerOnSpeedOverride(String powerOnSpeedOverride) {
        this.powerOnSpeedOverride = powerOnSpeedOverride;
    }

    public String getCurrentSystemKeylock() {
        return currentSystemKeylock;
    }

    public void setCurrentSystemKeylock(String currentSystemKeylock) {
        this.currentSystemKeylock = currentSystemKeylock;
    }

    public String getPendingSystemKeylock() {
        return pendingSystemKeylock;
    }

    public void setPendingSystemKeylock(String pendingSystemKeylock) {
        this.pendingSystemKeylock = pendingSystemKeylock;
    }

    public String getCurrentBootMode() {
        return currentBootMode;
    }

    public void setCurrentBootMode(String currentBootMode) {
        this.currentBootMode = currentBootMode;
    }

    public String getPendingBootMode() {
        return pendingBootMode;
    }

    public void setPendingBootMode(String pendingBootMode) {
        this.pendingBootMode = pendingBootMode;
    }

    public String getPoweronSource() {
        return poweronSource;
    }

    public void setPoweronSource(String poweronSource) {
        this.poweronSource = poweronSource;
    }

}
